<?php
/*
 * legal Enqueue css and js files
 */
function legal_enqueue() {
    wp_enqueue_style('legal-googlefonts-opensans', legal_font_url(), array(), null);
    wp_enqueue_style('bootstrap', get_template_directory_uri() . '/css/bootstrap.css', array());
    wp_enqueue_style('font-awesome', get_template_directory_uri() . '/css/font-awesome.css', array());
    if(is_page_template('page-template/front-page.php')){
        wp_enqueue_style('owl.carousel', get_template_directory_uri() . '/css/owl.carousel.css', array());     
    }
    wp_enqueue_style('legal-style', get_stylesheet_uri(), array());
    
    wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.js', array('jquery'));    
    wp_enqueue_script('legal-default', get_template_directory_uri() . '/js/default.js', array('jquery'));
    wp_enqueue_script('legal-custom-menu', get_template_directory_uri() . '/js/custom-menu.js', array('jquery'));
    wp_enqueue_script('legal-base', get_template_directory_uri() . '/js/base.js', array('jquery-masonry'));
    
    if (is_singular())
        wp_enqueue_script("comment-reply");

    legal_custom_css();
}
add_action('wp_enqueue_scripts', 'legal_enqueue'); 